org.apache.tomcat.util.http.mapper

## Class Mapper.MapElement

- java.lang.Object
- - org.apache.tomcat.util.http.mapper.Mapper.MapElement

- Direct Known Subclasses:
    Mapper.Context, Mapper.ContextVersion, Mapper.Host, Mapper.Wrapper
  Enclosing class:
    Mapper

      protected abstract static class Mapper.MapElement
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `Object` | `object`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapper.MapElement(String name, Object object)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

    - #### object

          public final Object object

  - ### Constructor Detail

    - #### Mapper.MapElement

          public Mapper.MapElement(String name,
                           Object object)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.